%global appname com.feaneron.Elevado

Name:           elevado
Version:        2025.1
Release:        %autorelease
Summary:        Accessibility inspector

SourceLicense:  GPL-3.0-or-later
# (MIT OR Apache-2.0) AND Unicode-3.0
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# MIT
# MIT OR Apache-2.0
# Unlicense OR MIT
License:        %{shrink:
    GPL-3.0-or-later AND
    MIT AND
    Unicode-3.0 AND
    Unicode-DFS-2016 AND
    (Apache-2.0 OR MIT) AND
    (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND
    (Unlicense OR MIT)
}
# LICENSE.dependencies contains a full license breakdown

URL:            https://gitlab.gnome.org/feaneron/elevado
Source:         %{url}/-/archive/%{version}/elevado-%{version}.tar.gz

ExcludeArch:    %{ix86}

BuildRequires:  meson
BuildRequires:  cargo-rpm-macros
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib

BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libadwaita-1)

Requires:       hicolor-icon-theme

%description
Elevado allows browsing through the accessibility objects that apps set
for themselves. The primary goal is to make it easier to spot where apps
fall apart in terms of accessibility.

%prep
%autosetup -n elevado-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires -t

%build
%meson
%meson_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%meson_install

%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{appname}.metainfo.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/%{appname}.desktop

%files
%license COPYING
%license LICENSE.dependencies
%doc README.md
%{_bindir}/elevado
%{_datadir}/applications/%{appname}.desktop
%dir %{_datadir}/elevado/
%{_datadir}/elevado/elevado.gresource
%{_datadir}/icons/hicolor/*/apps/%{appname}{,-symbolic}.svg
%{_metainfodir}/%{appname}.metainfo.xml

%changelog
%autochangelog
